Skip to main content
POST
/
2025-07
/
retail-media
/
balances
/
{balance-id}
/
campaigns
/
delete
/2025-07/retail-media/balances/{balance-id}/campaigns/delete
curl --request POST \
  --url https://api.criteo.com/2025-07/retail-media/balances/{balance-id}/campaigns/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "attributes": {},
      "id": "<string>",
      "type": "<string>"
    }
  ]
}
'
import requests

url = "https://api.criteo.com/2025-07/retail-media/balances/{balance-id}/campaigns/delete"

payload = { "data": [
{
"attributes": {},
"id": "<string>",
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: [{attributes: {}, id: '<string>', type: '<string>'}]})
};

fetch('https://api.criteo.com/2025-07/retail-media/balances/{balance-id}/campaigns/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "attributes": {},
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "metadata": {
    "currentPageIndex": 123,
    "currentPageSize": 123,
    "nextPage": "<string>",
    "previousPage": "<string>",
    "totalItemsAcrossAllPages": 123,
    "totalPages": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

balance-id
string
required

The balance to remove campaigns from

Body

application/json

The campaigns to append

A top-level object that encapsulates a Criteo API request for several entities

data
object[]

Response

200 - application/json

Success

Data model for a paged list of response resources

data
object[]
errors
object[]
read-only
metadata
object

Metadata related to the current request

warnings
object[]
read-only